package com.ruoyi.common.constant;

/**
 * drillEnum
 *
 * @Auther: matianxiang
 * @Date: 2023/08/08 18:58
 */
public enum DrillEnum {

//    DRILL_LEADER("leader", 1L),
    /**
     * 队伍状态:1-已启用（drill_contingent）
     */
    DRILL_CONTINGENT_STATUS_YES("已启用", 1L),
    /**
     * 队伍状态:2-未启用（drill_contingent）
     */
    DRILL_CONTINGENT_STATUS_NO("未启用", 2L),

//====================================================================================

    /**
     * 演习状态：1-未完成(drill_plan)
     */
    DRILL_STATUS_NO("未完成", 1L),
    /**
     * 演习状态：2-已完成(drill_plan)
     */
    DRILL_STATUS_YES("已完成", 2L),

//====================================================================================

    CONFIRM_STATUS_WAIT("待确认", 1L),
    CONFIRM_STATUS_YES("已确认", 2L),
    PROCESS_STATUS_WAIT("待审核", 1L),
    PROCESS_STATUS_YES("已审核", 2L),
    PROCESS_STATUS_NO("已驳回", 3L);

    private String name;
    private Long value;

    DrillEnum(String name, Long value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getValue() {
        return value;
    }

    public void setValue(Long value) {
        this.value = value;
    }
}
